## Create Zone Hold `client.Zones.Holds.New(ctx, params) (*ZoneHold, error)` **post** `/zones/{zone_id}/hold` Enforce a zone hold on the zone, blocking the creation and activation of zones with this zone's hostname. ### Parameters - `params HoldNewParams` - `ZoneID param.Field[string]` Path param: Identifier. - `IncludeSubdomains param.Field[bool]` Query param: If provided, the zone hold will extend to block any subdomain of the given zone, as well as SSL4SaaS Custom Hostnames. For example, a zone hold on a zone with the hostname 'example.com' and include_subdomains=true will block 'example.com', 'staging.example.com', 'api.staging.example.com', etc. ### Returns - `type ZoneHold struct{…}` - `Hold bool` - `HoldAfter string` - `IncludeSubdomains string` ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/option" "github.com/cloudflare/cloudflare-go/zones" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) zoneHold, err := client.Zones.Holds.New(context.TODO(), zones.HoldNewParams{ ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"), }) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", zoneHold.Hold) } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": { "hold": true, "hold_after": "2023-01-31T15:56:36+00:00", "include_subdomains": "include_subdomains" }, "success": true } ```